Rename, transfer, or manage tunneling for a SIM
curl --request PUT \
--url https://dashboard.hologram.io/api/1/devices/{deviceId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"orgid": 123,
"tunnelable": true
}
'import requests
url = "https://dashboard.hologram.io/api/1/devices/{deviceId}"
payload = {
"name": "<string>",
"orgid": 123,
"tunnelable": True
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123, tunnelable: true})
};
fetch('https://dashboard.hologram.io/api/1/devices/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/devices/{deviceId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123, tunnelable: true})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgid": 123,
"type": "<string>",
"whencreated": "<string>",
"tags": [
"<string>"
],
"links": {
"cellular": [
{
"id": 123,
"deviceid": 123,
"orgid": 123,
"sim": "<string>",
"msisdn": "<string>",
"imsi": 123,
"state": "INACTIVE",
"profile_state": "AVAILABLE",
"profile_name": "<string>",
"apn": "<string>",
"zone": 123,
"overagelimit": 123,
"carrier": 123,
"whencreated": "<string>",
"whenexpires": "<string>",
"rsp_type_id": 123,
"rsp_type_display_name": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
]
},
"eid": "<string>",
"imei": "<string>",
"imei_sv": "<string>",
"tunnelable": 0,
"hidden": 0,
"phonenumber": "<string>",
"phonenumber_cost": "<string>",
"simcardid": 123,
"intended_network_state": "INACTIVE",
"intended_plan_id": 123,
"intended_zone": "<string>",
"intended_plan_name": "<string>",
"intended_plan_data": 123,
"rsp_type_id": 123,
"rsp_type_display_name": "<string>",
"sim_format": "<string>",
"whenclaimed": "<string>",
"euicc_tested": "<string>",
"is_hyper": true,
"model": "<string>",
"manufacturer": "<string>",
"preflight_starttime": "<string>",
"preflight_scheduled_endtime": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
}Single SIM actions
Rename, transfer, or manage tunneling for a SIM
Updates the specified SIM by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This endpoint allows you to rename a SIM/device, transfer ownership of the SIM to a different organization, and enable or disable secure device tunneling with Spacebridge.
PUT
/
devices
/
{deviceId}
Rename, transfer, or manage tunneling for a SIM
curl --request PUT \
--url https://dashboard.hologram.io/api/1/devices/{deviceId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"orgid": 123,
"tunnelable": true
}
'import requests
url = "https://dashboard.hologram.io/api/1/devices/{deviceId}"
payload = {
"name": "<string>",
"orgid": 123,
"tunnelable": True
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123, tunnelable: true})
};
fetch('https://dashboard.hologram.io/api/1/devices/{deviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/devices/{deviceId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', orgid: 123, tunnelable: true})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"orgid": 123,
"type": "<string>",
"whencreated": "<string>",
"tags": [
"<string>"
],
"links": {
"cellular": [
{
"id": 123,
"deviceid": 123,
"orgid": 123,
"sim": "<string>",
"msisdn": "<string>",
"imsi": 123,
"state": "INACTIVE",
"profile_state": "AVAILABLE",
"profile_name": "<string>",
"apn": "<string>",
"zone": 123,
"overagelimit": 123,
"carrier": 123,
"whencreated": "<string>",
"whenexpires": "<string>",
"rsp_type_id": 123,
"rsp_type_display_name": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
]
},
"eid": "<string>",
"imei": "<string>",
"imei_sv": "<string>",
"tunnelable": 0,
"hidden": 0,
"phonenumber": "<string>",
"phonenumber_cost": "<string>",
"simcardid": 123,
"intended_network_state": "INACTIVE",
"intended_plan_id": 123,
"intended_zone": "<string>",
"intended_plan_name": "<string>",
"intended_plan_data": 123,
"rsp_type_id": 123,
"rsp_type_display_name": "<string>",
"sim_format": "<string>",
"whenclaimed": "<string>",
"euicc_tested": "<string>",
"is_hyper": true,
"model": "<string>",
"manufacturer": "<string>",
"preflight_starttime": "<string>",
"preflight_scheduled_endtime": "<string>",
"async_change_requests": [
{
"id": 123,
"parent_id": 123,
"orgid": 123,
"userid": 123,
"request_type": "plan_change",
"reference_type": "device",
"reference_id": 123,
"state": "initialized",
"start_time": "<string>",
"update_time": "<string>",
"metadata": {}
}
]
}
}Authorizations
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
Path Parameters
ID of the device
Body
application/json
Was this page helpful?